Loading...
Searching...
No Matches
Opm::ScheduleState Class Reference

## Classes

class | ptr_member
class | map_member
struct | BHPDefaults

## Public Member Functions

| ScheduleState (const time_point &start_time)
| ScheduleState (const time_point &start_time, const time_point &end_time)
| ScheduleState (const ScheduleState &src, const time_point &start_time)
| ScheduleState (const ScheduleState &src, const time_point &start_time, const time_point &end_time)
time_point | start_time () const
time_point | end_time () const
ScheduleState | next (const time_point &next_start)
std::size_t | sim_step () const
std::size_t | month_num () const
std::size_t | year_num () const
bool | first_in_month () const
bool | first_in_year () const
bool | well_group_contains_lgr (const Group &grp, const std::string &lgr_tag) const
bool | group_contains_lgr (const Group &grp, const std::string &lgr_tag) const
std::size_t | num_lgr_well_in_group (const Group &grp, const std::string &lgr_tag) const
std::size_t | num_lgr_groups_in_group (const Group &grp, const std::string &lgr_tag) const
bool | operator== (const ScheduleState &other) const
void | update_tuning (Tuning tuning)
Tuning & | tuning ()
const Tuning & | tuning () const
double | max_next_tstep (const bool enableTUNING=false) const
void | init_nupcol (Nupcol nupcol)
void | update_nupcol (int nupcol)
int | nupcol () const
void | update_oilvap (OilVaporizationProperties oilvap)
const OilVaporizationProperties & | oilvap () const
OilVaporizationProperties & | oilvap ()
void | update_events (Events events)
Events & | events ()
const Events & | events () const
void | update_wellgroup_events (WellGroupEvents wgevents)
WellGroupEvents & | wellgroup_events ()
const WellGroupEvents & | wellgroup_events () const
void | update_geo_keywords (std::vector< DeckKeyword > geo_keywords)
std::vector< DeckKeyword > & | geo_keywords ()
const std::vector< DeckKeyword > & | geo_keywords () const
void | update_message_limits (MessageLimits message_limits)
MessageLimits & | message_limits ()
const MessageLimits & | message_limits () const
WellProducerCMode | whistctl () const
void | update_whistctl (WellProducerCMode whistctl)
bool | rst_file (const RSTConfig &rst_config, const time_point &previous_restart_output_time) const
void | update_date (const time_point &prev_time)
void | updateSAVE (bool save)
bool | save () const
const std::optional< double > & | sumthin () const
void | update_sumthin (double sumthin)
bool | rptonly () const
void | rptonly (const bool only)
bool | has_gpmaint () const
bool | hasAnalyticalAquifers () const
template<typename T>
ptr_member< T > & | get ()
template<typename T>
const ptr_member< T > & | get () const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static ScheduleState | serializationTestObject ()

## Public Attributes

ptr_member< GConSale > | gconsale
ptr_member< GConSump > | gconsump
ptr_member< GSatProd > | gsatprod
ptr_member< GroupEconProductionLimits > | gecon
ptr_member< GuideRateConfig > | guide_rate
ptr_member< WListManager > | wlist_manager
ptr_member< NameOrder > | well_order
ptr_member< GroupOrder > | group_order
ptr_member< Action::Actions > | actions
ptr_member< UDQConfig > | udq
ptr_member< UDQActive > | udq_active
ptr_member< PAvg > | pavg
ptr_member< WellTestConfig > | wtest_config
ptr_member< GasLiftOpt > | glo
ptr_member< Network::ExtNetwork > | network
ptr_member< Network::Balance > | network_balance
ptr_member< ReservoirCoupling::CouplingInfo > | rescoup
ptr_member< RPTConfig > | rpt_config
ptr_member< RFTConfig > | rft_config
ptr_member< RSTConfig > | rst_config
ptr_member< BHPDefaults > | bhp_defaults
ptr_member< Source > | source
ptr_member< WCYCLE > | wcycle
map_member< int, VFPProdTable > | vfpprod
map_member< int, VFPInjTable > | vfpinj
map_member< std::string, Group > | groups
map_member< std::string, Well > | wells
map_member< std::string, GroupSatelliteInjection > | satelliteInjection
| Group level satellite injection rates.
map_member< std::string, WellFractureSeeds > | wseed
| Well fracturing seed points and associate fracture plane normal vectors.
std::unordered_map< int, SingleAquiferFlux > | aqufluxs
BCProp | bcprop
map_member< std::string, std::vector< double > > | inj_streams
std::unordered_map< std::string, double > | target_wellpi
std::optional< NextStep > | next_tstep

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/ScheduleState.hpp
- opm/input/eclipse/Schedule/ScheduleState.cpp